﻿@page "/admin"

@using FIOAPIWeb.Components.Admin

@inject ClipboardService Clipboard
@inject UserAppState UserAppState
@inject IDialogService DialogService
@inject ISnackbar Snackbar

@implements IDisposable

<LoadingWrapper RequiresAuth="true" RequiresAdmin="true">
    <MudText Typo="Typo.h3">Admin</MudText>

    <MudText Typo="Typo.h4">Account Management</MudText>
    <MudStack Row="true">
        <MudButton Size="Size.Small" Variant="Variant.Filled" Color="Color.Primary" OnClick="CreateAccountAsync">Create Account</MudButton>
        @if (DiscordClipboardContents != null)
        {
            <MudFab Color="Color.Primary" Size="Size.Small" StartIcon="@Icons.Material.Filled.ContentCopy" OnClick="CopyAccountInfoToClipboard" />
        }
    </MudStack>

    <br/>
    <br/>

    <MudText Typo="Typo.h4">Data Resets</MudText>
    <MudStack>
        <MudStack Row="true">
            <MudButton Size="Size.Small" Variant="Variant.Filled" Color="Color.Primary" OnClick="@(() => ResetData("/admin/clearcxdata", "CX Data"))">Clear CX Data</MudButton>
            <MudButton Size="Size.Small" Variant="Variant.Filled" Color="Color.Primary" OnClick="@(() => ResetData("/admin/clearmatdata", "MAT Data"))">Clear MAT Data</MudButton>
            <MudButton Size="Size.Small" Variant="Variant.Filled" Color="Color.Primary" OnClick="@(() => ResetData("/admin/clearbuidata", "BUI Data"))">Clear BUI Data</MudButton>
            <MudButton Size="Size.Small" Variant="Variant.Filled" Color="Color.Primary" OnClick="@(() => ResetData("/admin/clearchatdata", "Chat Data"))">Clear Chat Data</MudButton>
        </MudStack>
        <MudStack Row="true">
            <MudButton Size="Size.Small" Variant="Variant.Filled" Color="Color.Primary" OnClick="@(() => ResetData("/admin/clearjumpcache", "Jump Cache"))">Clear JumpCache Data</MudButton>
            <MudButton Size="Size.Small" Variant="Variant.Filled" Color="Color.Primary" OnClick="@(() => ResetData("/admin/clearstationdata", "Station Data"))">Clear Station Data</MudButton>
            <MudButton Size="Size.Small" Variant="Variant.Filled" Color="Color.Primary" OnClick="@(() => ResetData("/admin/clearmapdata", "Chat Data"))">Clear Map Data</MudButton>
        </MudStack>
    </MudStack>

    <MudText Typo="Typo.h4">Caches</MudText>
    <MudStack Row="true">
        <MudButton Size="Size.Small" Variant="Variant.Filled" Color="Color.Primary" OnClick="@(() => CopyUsernamesToClipboard())">Copy Usernames</MudButton>
        <MudButton Size="Size.Small" Variant="Variant.Filled" Color="Color.Primary" OnClick="@(() => CopyComexExchangesToClipboard())">Copy Comex Exchanges</MudButton>
        <MudButton Size="Size.Small" Variant="Variant.Filled" Color="Color.Primary" OnClick="@(() => CopyMaterialsToClipboard())">Copy Materials</MudButton>
    </MudStack>
</LoadingWrapper>